<?xml version="1.0" encoding="UTF-8"?>

<!--
	XML documents that conform to this DTD should declare the following doctype:
	<!DOCTYPE mail PUBLIC "-//OZACC//DTD MAIL//EN"
		"http://www.ozacc.com/library/dtd/ozacc-mail.dtd">
	
	$Id: ozacc-mail.dtd,v 1.2 2004/09/05 14:24:22 otsuka Exp $
-->

<!ELEMENT mail (returnPath?,from?,recipients?,replyTo?,subject?,body?)>

<!ELEMENT from EMPTY>
<!ATTLIST from
	email CDATA #REQUIRED
	name CDATA #IMPLIED
>

<!ELEMENT replyTo EMPTY>
<!ATTLIST replyTo
	email CDATA #REQUIRED
>

<!-- Return-Path -->
<!ELEMENT returnPath EMPTY>
<!ATTLIST returnPath
	email CDATA #REQUIRED
>

<!ELEMENT recipients (to|cc|bcc)+>

<!ELEMENT to EMPTY>
<!ATTLIST to
	email CDATA #REQUIRED
	name CDATA #IMPLIED
>

<!ELEMENT cc EMPTY>
<!ATTLIST cc
	email CDATA #REQUIRED
	name CDATA #IMPLIED
>

<!ELEMENT bcc EMPTY>
<!ATTLIST bcc
	email CDATA #REQUIRED
>

<!ELEMENT subject (#PCDATA)>

<!ELEMENT body (#PCDATA)>
